use sort_method::insert;
use sort_method::bubble;
use sort_method::select;
use sort_method::shell;
use sort_method::quick;
use sort_method::heap;
use sort_method::merge;
use sort_method::radix;
fn main() {
    let mut data = vec![1,3,2,9,7,4,8,5,6,4];
    insert::sort(&mut data);
    println!("直接插入：{:?}",data);
    let mut data = vec![1,3,2,9,7,4,8,5,6,4];
    bubble::sort(&mut data);
    println!("冒泡排序：{:?}",data);
    let mut data = vec!['b','a','d','c','f','e','g'];
    select::sort(&mut data);
    println!("简单选择：{:?}",data);
    let mut data = vec!['b','a','d','c','f','e','g'];
    shell::sort(&mut data);
    println!("希尔排序：{:?}",data);
    let mut data = vec!['b','a','d','c','f','e','g'];
    quick::sort(&mut data);
    println!("快速排序：{:?}",data);
    let mut data = vec!['b','a','d','c','f','e','g'];
    heap::sort(&mut data);
    println!("  堆排序：{:?}",data);
    let mut data = vec![1,3,2,9,7,4,8,5,6,4];
    merge::sort(&mut data);
    println!("归并排序：{:?}",data);
    let mut data = vec![109,13,52,879,77,24,6548,85,6,34];
    radix::sort(&mut data);
    println!("基数排序：{:?}",data);
}
